package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.azure.PublicIPAddressModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @ClassName: PublicIpAddressProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/15 20:01
 */
public interface PublicIPAddressProvider extends SuperProvider {

    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(PublicIPAddressModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(PublicIPAddressModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }


}